Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.parameters
Class CbcEncryptDataParameters

    java.lang.Object
      |
      +--iaik.pkcs.pkcs11.parameters.CbcEncryptDataParameters

All Implemented Interfaces:
  java.lang.Cloneable, Parameters

Direct Known Subclasses:
  AesCbcEncryptDataParameters, DesCbcEncryptDataParameters

public abstract class CbcEncryptDataParameters
extends java.lang.Object
implements Parameters

This class encapsulates parameters CBC key derivation algorithms.

Version:
  1.0
Author:
  Karl Scheibelhofer

Field Summary
`protected int` | `blockSize_` This is the block size in byte of the underlying cipher, e.g.
`protected byte[]` | `data_` The data to be used in the key derivation.
`protected byte[]` | `iv_` The initialization vector for CBC mode of the cipher.

Constructor Summary
`protected` | `CbcEncryptDataParameters(int blockSize, byte[] iv, byte[] data)` Create a new CbcEncryptDataParameters object with the given IV and data.

Method Summary
`java.lang.Object` | `clone()` Create a (deep) clone of this object.
`boolean` | `equals(java.lang.Object otherObject)` Compares all member variables of this object with the other object.
`int` | `getBlockSize()` Get the block size of the underlying cipher in bytes.
`byte[]` | `getData()` Get the data for key derivation.
`byte[]` | `getInitializationVector()` Get the initialization vector for CBC mode.
`int` | `hashCode()` The overriding of this method should ensure that the objects of this class work correctly in a hashtable.
`void` | `setData(byte[] data)` Set the key derivation data.
`void` | `setInitializationVector(byte[] iv)` Set the initialization vector for CBC mode.
`java.lang.String` | `toString()` Returns the string representation of this object.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface iaik.pkcs.pkcs11.parameters.Parameters
`getPKCS11ParamsObject`

Field Detail

### blockSize_

    protected int blockSize_

  This is the block size in byte of the underlying cipher, e.g. 8 for DES and Triple DES and 16 for AES.

### iv_

    protected byte[] iv_

  The initialization vector for CBC mode of the cipher.

### data_

    protected byte[] data_

  The data to be used in the key derivation. It must have a length that is a multiple of the block-size of the underlying cipher.

Constructor Detail

### CbcEncryptDataParameters

    protected CbcEncryptDataParameters(int blockSize,
                                       byte[] iv,
                                       byte[] data)

  Create a new CbcEncryptDataParameters object with the given IV and data.
  Parameters:
    `blockSize` - The block size of the cipher.
    `iv` - The initialization vector which's length must be block size.
    `data` - The key derivation data which's length must be multiple of the block size.

Method Detail

### clone

    public java.lang.Object clone()

  Create a (deep) clone of this object.
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    A clone of this object.

### getBlockSize

    public int getBlockSize()

  Get the block size of the underlying cipher in bytes.
  Returns:
    The block size in bytes.

### getInitializationVector

    public byte[] getInitializationVector()

  Get the initialization vector for CBC mode.
  Returns:
    The initialization vector.

### setInitializationVector

    public void setInitializationVector(byte[] iv)

  Set the initialization vector for CBC mode.
  Parameters:
    `iv` - The initialization vector.

### getData

    public byte[] getData()

  Get the data for key derivation.
  Returns:
    The data.

### setData

    public void setData(byte[] data)

  Set the key derivation data.
  Parameters:
    `data` - The key derivation data.

### toString

    public java.lang.String toString()

  Returns the string representation of this object. Do not parse data from this string, it is for debugging only.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A string representation of this object.

### equals

    public boolean equals(java.lang.Object otherObject)

  Compares all member variables of this object with the other object. Returns only true, if all are equal in both objects.
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `otherObject` - The other object to compare to.
  Returns:
    True, if other is an instance of this class and all member variables of both objects are equal. False, otherwise.

### hashCode

    public int hashCode()

  The overriding of this method should ensure that the objects of this class work correctly in a hashtable.
  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    The hash code of this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2004, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved. version 1.2.18